import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 789;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 25;
const eyeOffsetX = 50;
const eyeOffsetY = 60;
const eyeRadius = 45;
const mouthWidth = 23;
const mouthRadius = 120;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="white"
        stroke="pink"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="red"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="red"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "green"
        stroke = "green"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "green"
        stroke = "green"
      />
    <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "purple"
        stroke = "green"
      />
      <line
        x1={131}
        y1={25}
        x2={30}
        y2={15}
        stroke = "brown"
        stroke-width = '7'
      />
      <line
        x1={-110}
        y1={39}
        x2={-20}
        y2={15}
        stroke = "brown"
        stroke-width = '6'
      />
      <line
        x1={-110}
        y1={25}
        x2={-33}
        y2={14}
        stroke = "blue"
        stroke-width = '7'
      />
      <line
        x1={110}
        y1={25}
        x2={33}
        y2={12}
        stroke = "brown"
        stroke-width = '6'
      />
      <line
        x1={105}
        y1={13}
        x2={35}
        y2={13}
        stroke = "brown"
            stroke-width = '5'
      />
      <line
        x1={-110}
        y1={13}
        x2={-35}
        y2={13}
        stroke = "brown"
        stroke-width = '8'
      />
      <line
        x1={-210}
        y1={-230}
        x2={-130}
        y2={-240}
        stroke = "blue"
        stroke-width = '19'
      />
      <line
        x1={210}
        y1={-215}
        x2={130}
        y2={-220}
        stroke = "brown"
        stroke-width = '18'
      />
      <line
        x1={-210}
        y1={-230}
        x2={-210}
        y2={-150}
        stroke = "blue"
        stroke-width = '18'
      />
      <line
        x1={210}
        y1={-230}
        x2={210}
        y2={-150}
        stroke = "brown"
        stroke-width = '20'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);